Summary:	Ping/Traceroute network diagnostic tool
Name:		mtr
Version:	0.87
Release:	%mkrel 1
Group:		Networking/Other
License:	GPLv2+
URL:		http://www.bitwizard.nl/mtr
Source0:	ftp://ftp.bitwizard.nl/mtr/%{name}-%{version}.tar.gz
Patch0:		mtr-0.71-underflow.patch
Patch1:		mtr-fix-build.patch

BuildRequires:	autoconf
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(ncurses)

%description
Mtr is a network diagnostic tool which combines Ping and Traceroute into one
program. Mtr also has two interfaces: An ncurses interface, useful for using
Mtr from a telnet session and a Gtk interface if you are using X.

%package	gtk
Summary:	Ping/Traceroute network diagnostic tool - GTK Interface
Group:		Networking/Other
Requires:	mtr
Provides:	xmtr

%description	gtk
This is the Gtk interface for the mtr network diagnostic tool.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x
%make_build && mv mtr xmtr && %make_build distclean

%configure2_5x \
    --without-gtk
%make_build

%install
%make_install

for size in 16x16 32x32 48x48; do
install -d %{buildroot}%{_iconsdir}/hicolor/${size}/apps/
convert img/mtr_icon.xpm -size ${size} %{buildroot}%{_iconsdir}/hicolor/${size}/apps/%{name}.png
done

install -d %{buildroot}%{_bindir}
install -m755 xmtr %{buildroot}%{_bindir}/xmtr
ln -s ../sbin/mtr %{buildroot}%{_bindir}/mtr

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Xmtr
Comment=Ping/Traceroute network diagnostic tool
Exec=xmtr
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;System;Monitor;
EOF

%files
%doc AUTHORS FORMATS NEWS README SECURITY TODO
%attr(4755,root,ntools) %{_bindir}/mtr
%attr(4755,root,ntools) %{_sbindir}/mtr
%{_mandir}/man8/mtr.8*

%files gtk
%attr(4755,root,ntools) %{_bindir}/xmtr
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Feb 12 2017 daviddavid <daviddavid> 0.87-1.mga6
+ Revision: 1085842
- new version: 0.87
- remove merged upstream crash-in-xml-mode patch
- switch BRs to pkgconfig()

* Tue Feb 09 2016 umeabot <umeabot> 0.86-3.mga6
+ Revision: 952757
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.86-2.mga6
+ Revision: 930523
- Mageia 6 Mass Rebuild

* Tue May 19 2015 akien <akien> 0.86-1.mga5
+ Revision: 822413
- Modernise spec file
- Version 0.86 (fixes mga#14322)

* Wed Oct 15 2014 umeabot <umeabot> 0.85-4.mga5
+ Revision: 746522
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.85-3.mga5
+ Revision: 682686
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.85-2.mga4
+ Revision: 530645
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 0.85-1.mga4
+ Revision: 458664
- New version: 0.85
- Rediff patches 2 and 3

* Sat Mar 23 2013 wally <wally> 0.82-3.mga3
+ Revision: 404695
- fix desktop file name
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 0.82-2.mga3
+ Revision: 360479
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 luigiwalser <luigiwalser> 0.82-1.mga2
+ Revision: 210642
- 0.82

* Fri Apr 22 2011 ennael <ennael> 0.80-3.mga1
+ Revision: 89734
- clean spec file
- imported package mtr

